<?php

/*
 * PuzzleApp
 * Webemyos
 * Jérôme Oliva
 * GNU Licence
 */

namespace Apps\Immo\Entity;

use Core\Entity\Entity\Entity;
use Core\Entity\Entity\Property;
use Core\Entity\Entity\EntityProperty;

class ImmoProjectEvent extends Entity {

    //Constructeur
    function __construct($core) {
        //Version
        $this->Version = "2.0.0.0";

        //Nom de la table 
        $this->Core = $core;
        $this->TableName = "ImmoProjectEvent";
        $this->Alias = "ImmoProjectEvent";

        $this->Name = new Property("Name", "Name", TEXTBOX, false, $this->Alias);
        $this->DateEvent = new Property("DateEvent", "DateEvent", DATEBOX, false, $this->Alias);
        $this->HourEvent = new Property("HourEvent", "HourEvent", TEXTBOX, false, $this->Alias);
        $this->Description = new Property("Description", "Description", TEXTAREA, false, $this->Alias);
        $this->Result = new Property("Result", "Result", TEXTAREA, false, $this->Alias);
        $this->ProjectId = new Property("ProjectId", "ProjectId", NUMERICBOX, false, $this->Alias);

        //Creation de l entité 
        $this->Create();
    }
}

?>